Bug 863558 - Review Request: fedmsg-notify - Fedmsg Desktop Notifications
Review Request: fedmsg-notify - Fedmsg Desktop Notifications
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 15:17 EDT by Luke Macken
Modified: 2016-09-19 22:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 23:22:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbean: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2012-10-05 15:17:40 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/fedmsg-notify.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/fedmsg-notify-0.2.0-1.fc18.src.rpm
Description: 
fedmsg-notify provides a dbus-activated daemon that subscribes to realtime
messages from Fedora Infrastructure and displays them as desktop
notifications. It also comes with a fedmsg-notify-config tool to enable/disable
the service.

Fedora Account System Username: lmacken
Comment 1 Ralph Bean 2012-10-05 15:50:59 EDT
I'll take this review.
Comment 2 Ralph Bean 2012-10-05 16:46:18 EDT
Package is APPROVED.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/threebean/863558
     -fedmsg-notify/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Python:
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (fedmsg-notify-0.2.0.tar.gz)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fedmsg-notify-0.2.0-1.fc18.noarch.rpm
          fedmsg-notify-0.2.0-1.fc18.src.rpm
fedmsg-notify.noarch: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
fedmsg-notify.noarch: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
fedmsg-notify.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
fedmsg-notify.noarch: W: devel-file-in-non-devel-package /usr/bin/fedmsg-notify-config
fedmsg-notify.noarch: W: non-conffile-in-etc /etc/dbus-1/system.d/org.fedoraproject.fedmsg.notify.conf
fedmsg-notify.noarch: W: no-manual-page-for-binary fedmsg-notify-config
fedmsg-notify.noarch: W: no-manual-page-for-binary fedmsg-notify-daemon
fedmsg-notify.src: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
fedmsg-notify.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
fedmsg-notify.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint fedmsg-notify
fedmsg-notify.noarch: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
fedmsg-notify.noarch: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
fedmsg-notify.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
fedmsg-notify.noarch: W: devel-file-in-non-devel-package /usr/bin/fedmsg-notify-config
fedmsg-notify.noarch: W: non-conffile-in-etc /etc/dbus-1/system.d/org.fedoraproject.fedmsg.notify.conf
fedmsg-notify.noarch: W: no-manual-page-for-binary fedmsg-notify-config
fedmsg-notify.noarch: W: no-manual-page-for-binary fedmsg-notify-daemon
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
fedmsg-notify-0.2.0-1.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/python
    fedmsg >= 0.5.3
    pygobject3
    python(abi) = 2.7



Provides
--------
fedmsg-notify-0.2.0-1.fc18.noarch.rpm:
    
    fedmsg-notify = 0.2.0-1.fc18



MD5-sum check
-------------
https://github.com/downloads/lmacken/fedmsg-notify/fedmsg-notify-0.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : a5d8ec0d0ef553649dfad0c73aea9a58e44a3e1fd6eca9e83d754d4e0ea9d07e
  CHECKSUM(SHA256) upstream package : a5d8ec0d0ef553649dfad0c73aea9a58e44a3e1fd6eca9e83d754d4e0ea9d07e


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 863558
Comment 3 Luke Macken 2012-10-05 16:55:17 EDT
New Package SCM Request
=======================
Package Name: fedmsg-notify
Short Description: Fedmsg Desktop Notifications
Owners: lmacken ralph
Branches: f18
InitialCC:
Comment 4 Gwyn Ciesla 2012-10-05 17:27:49 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-10-06 14:42:02 EDT
fedmsg-notify-0.2.0-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 6 Parag AN(पराग) 2012-12-10 23:22:32 EST
I suppose this can be closed as packages are already in repositories.

Note You need to log in before you can comment on or make changes to this bug.